import { GraphQLSchema } from 'graphql';
import { Logger } from 'ts-log';
import { Asset, Block } from './graphql_types';
import { AssetMetadataAndHash, AssetMetadataHashAndId, AssetWithoutTokens } from './typeAliases';
import { Schema } from '@cardano-ogmios/client';
export declare class HasuraBackgroundClient {
    readonly hasuraCliPath: string;
    readonly hasuraUri: string;
    private logger;
    private client;
    private applyingSchemaAndMetadata;
    private state;
    schema: GraphQLSchema;
    constructor(hasuraCliPath: string, hasuraUri: string, logger?: Logger);
    private hasuraCli;
    initialize(): Promise<void>;
    shutdown(): Promise<void>;
    applySchemaAndMetadata(): Promise<void>;
    deleteAssetsAfterSlot(slotNo: Block['slotNo']): Promise<number>;
    hasAsset(assetId: Asset['assetId']): Promise<boolean>;
    getMostRecentPointWithNewAsset(): Promise<Schema.Point | null>;
    addAssetMetadata(asset: AssetMetadataAndHash): Promise<void>;
    insertAssets(assets: AssetWithoutTokens[]): Promise<any>;
    getAssetMetadataHashesById(assetIds: Asset['assetId'][]): Promise<AssetMetadataHashAndId[]>;
}
//# sourceMappingURL=HasuraBackgroundClient.d.ts.map