import { DataFetcher } from '@cardano-graphql/util';
import { GraphQLSchema } from 'graphql';
import { AdaPots, AssetSupply, PaymentAddressSummary, ProtocolParams } from './graphql_types';
import { Logger } from 'ts-log';
export declare type AdaPotsToCalculateSupply = {
    circulating: AssetSupply['circulating'];
    reserves: AdaPots['reserves'];
};
export declare class HasuraClient {
    readonly hasuraUri: string;
    private logger;
    private client;
    adaPotsToCalculateSupplyFetcher: DataFetcher<AdaPotsToCalculateSupply>;
    private state;
    schema: GraphQLSchema;
    constructor(hasuraUri: string, pollingInterval: number, logger?: Logger);
    private getAdaPotsToCalculateSupply;
    initialize(): Promise<void>;
    shutdown(): Promise<void>;
    buildHasuraSchema(): Promise<GraphQLSchema>;
    getCurrentProtocolVersion(): Promise<ProtocolParams['protocolVersion']>;
    getPaymentAddressSummary(address: string, atBlock?: number): Promise<PaymentAddressSummary>;
    getMeta(nodeTipSlotNumber: number): Promise<{
        initialized: boolean;
        syncPercentage: number;
    }>;
}
//# sourceMappingURL=HasuraClient.d.ts.map