import { Logger } from 'ts-log';
import { MetadataClient } from './MetadataClient';
import { DbConfig } from './typeAliases';
import { HasuraBackgroundClient } from './HasuraBackgroundClient';
export declare class Worker {
    readonly hasuraClient: HasuraBackgroundClient;
    private logger;
    private metadataFetchClient;
    private queueConfig;
    private options?;
    private queue;
    private state;
    constructor(hasuraClient: HasuraBackgroundClient, logger: Logger, metadataFetchClient: MetadataClient, queueConfig: DbConfig, options?: {
        metadataUpdateInterval?: {
            assets?: number;
        };
    });
    start(): Promise<void>;
    shutdown(): Promise<void>;
}
//# sourceMappingURL=Worker.d.ts.map